% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/smooth.R
\name{smooth_none}
\alias{smooth_none}
\title{Apply no smooth to a dotplot}
\usage{
smooth_none(x, ...)
}
\arguments{
\item{x}{<\link{numeric}> Values to smooth.}

\item{...}{ignored}
}
\value{
\code{x}

If \code{x} is missing, returns a partial application of itself. See \link{automatic-partial-functions}.
}
\description{
Default smooth for dotplots: no smooth. Simply returns the input values.

Supports \link[=auto_partial]{automatic partial function application} with
\link[=waiver]{waived arguments}.
}
\details{
This is the default value for the \code{smooth} argument of \code{geom_dotsinterval()}.
}
\seealso{
Other dotplot smooths: 
\code{\link{smooth_density}},
\code{\link{smooth_discrete}()}
}
\concept{dotplot smooths}
